unpushed

gettext-0.21-18.fc36.0.20220203

FEDORA-2022-a8cde2a93d created by suanand a year ago for Fedora 36

Introduce envsubst sub-package for allow install envsubst with minimal

This update has been submitted for testing by suanand.

a year ago

This update's test gating status has been changed to 'waiting'.

a year ago

This update's test gating status has been changed to 'passed'.

a year ago

suanand edited this update.

a year ago

This update has been pushed to testing.

a year ago
User Icon remyabel commented & provided feedback a year ago
karma

Works for me.

petersen edited this update.

a year ago
User Icon bojan commented & provided feedback a year ago
karma

Works.

This update can be pushed to stable now if the maintainer wishes

a year ago
User Icon decathorpe commented & provided feedback a year ago
karma

I'm pretty sure this change shouldn't be pushed to Fedora 36, as it is an (approved) Change for Fedora 37: https://fedoraproject.org/wiki/Changes/GettextRuntimeSubpackage

The format of Version / Release string is also highly irregular (i.e. %{snapshot} should be before dist, not after, if at all), I suspect you might want to fix that in Fedora 37+ (and unpush this F36 update).

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

a year ago
User Icon geraldosimiao commented & provided feedback a year ago
karma

Package is working fine, but I have to agree with Fabio (decathorpe) for the reasons he pointed out, so -1 for this upgrade on F36.

User Icon andilinux commented & provided feedback a year ago
karma

works

0 on this, don't see any regression but due other comments will not add +1

This update has been unpushed.

User Icon petersen commented & provided feedback a year ago

This is actually a fairly small packaging change and pretty safe update, which we pushed intentionally to f36 to be forwards compatible with F37. The new backwards compatible gettext-runtime subpackage, pulled in by gettext, has been tested in f37 since 21 July and hasn't seen any problems. (Note also that gettext-0.21 no longer builds in F36+.)

Anyway Sundeep is pushing gettext-0.21-18.0.20220203.fc38 to rawhide now to address the Release %dist issue.

User Icon remyabel commented & provided feedback a year ago

How do I recover from this situation? I installed this package to test it and because it's been unpushed, I can't seem to remove it since grub2-pc depends on it.

Removing gettext-envsubst: Substitutes the values of environment variables
Error:
 Problem: The operation would result in removing the following protected packages: grub2-pc
(try to add '--skip-broken' to skip uninstallable packages)
sudo dnf downgrade gettext-envsubst
User Icon cowboysmall commented & provided feedback a year ago

I have a similar problem:

Error: Transaction test error:
  file /usr/bin/envsubst from install of gettext-0.21-9.fc36.x86_64 conflicts with file from package gettext-envsubst-0.21-18.fc36.0.20220203.x86_64

I assume gettext-0.21-18.0.20220203.fc36 will be coming soon?

User Icon decathorpe commented & provided feedback a year ago

You might be able to use something like this:

sudo rpm --erase --nodeps gettext-envsubst
sudo dnf distro-sync --allowerasing

I think --allowerasing is not enough because envsubst didn't add a Conflict with gettext < this version.


Please login to add feedback.

Metadata
Type
bugfix
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
a year ago
in testing
a year ago
modified
a year ago
BZ#2045414 gettext: FTBFS in Fedora rawhide/f36
0
0
BZ#2068556 Allow installing envsubst binary without unnecessary dependencies
0
0

Automated Test Results